> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List RNA sequences

GET https://{tenant_name}.benchling.com/api/v2/rna-sequences

List RNA sequences

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/rna-sequences/list-rna-sequences

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `pageSize` (integer, optional, default: 50) — Number of results to return. Defaults to 50, maximum of 100.
- `nextToken` (string, optional) — Token for pagination
- `sort` (enum, optional, default: modifiedAt:desc) — Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `modifiedAt:asc`, `modifiedAt:desc`, `name`, `name:asc`, `name:desc`
- `createdAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `modifiedAt` (string, optional) — Datetime, in RFC 3339 format. Supports the > and \< operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND \<YYYY-MM-DD.
- `name` (string, optional) — Name of an RNA Sequence. Restricts results to those with the specified name, alias, or entity registry ID.
- `nameIncludes` (string, optional) — Name substring of an RNA Sequence. Restricts results to those with names, aliases, or entity registry IDs that include the provided substring.
- `bases` (string, optional) — Full bases of the RNA sequence. Restricts results to those with the specified bases, case-insensitive, allowing for circular or reverse complement matches. Does not allow partial matching or loose matching via degenerate bases.
- `folderId` (string, optional) — ID of a folder. Restricts results to those in the folder.
- `mentionedIn` (string, optional) — Comma-separated list of entry IDs. Restricts results to RNA sequences mentioned in those entries.
- `projectId` (string, optional) — ID of a project. Restricts results to those in the project.
- `registryId` (string, optional) — ID of a registry. Restricts results to those registered in this registry. Specifying "null" returns unregistered items.
- `schemaId` (string, optional) — ID of a schema. Restricts results to those of the specified schema.
- `schemaFields` (map from string to any, optional) — Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and \<= operators (but not \< or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.
- `archiveReason` (string, optional) — Archive reason. Restricts items to those with the specified archive reason. Use "NOT_ARCHIVED" to filter for unarchived RNA sequences. Use "ANY_ARCHIVED" to filter for archived RNA sequences regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived.
- `mentions` (string, optional) — Comma-separated list of item IDs. Restricts results to those that mention the given items in the description.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `entityRegistryIds.anyOf` (string, optional) — Comma-separated list of entity registry IDs. Maximum of 100. Restricts results to those that match any of the specified registry IDs.
- `names.anyOf` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case insensitive. Warning - this filter can be non-performant due to case insensitivity.
- `names.anyOf.caseSensitive` (string, optional) — Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, aliases, or entity registry IDs, case sensitive.
- `creatorIds` (string, optional) — Comma separated list of users IDs
- `authorIds.anyOf` (string, optional) — Comma separated list of user or app IDs. Maximum of 100.
- `customNotationId` (string, optional) — ID of the notation to use in populating the customNotation field.
- `returning` (string, optional) — Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, '*'. For more information, [click here](https://docs.benchling.com/docs/getting-started-1#returning-query-parameter). **Note**: Fields annotations, translations, and primers cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g.: "rnaSequences.annotations.id" will return the same as "rnaSequences.annotations".

## Response

### 200

OK

- `nextToken` (string, optional)
- `rnaSequences` (list of RnaSequence, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### RnaSequence

- `aliases` (list of string, optional)
- `alignmentIds` (list of string, optional) — API IDs of Nucleotide Alignments involving the RNA sequence
- `annotations` (list of RnaAnnotation, optional)
- `apiURL` (string, optional) — The canonical url of the RNA Sequence in the API.
- `archiveRecord` (ArchiveRecord, optional, nullable)
- `authors` (list of UserSummary, optional)
- `bases` (string, optional)
- `createdAt` (datetime, optional)
- `creator` (UserSummary, optional)
- `customFields` (map from string to CustomField, optional)
- `customNotation` (string, optional, nullable) — Representation of the RNA Sequence in the custom notation specified in the request. Null if no notation was specified.
- `customNotationName` (string, optional, nullable) — Name of the custom notation specified in the request. Null if no notation was specified.
- `entityRegistryId` (string, optional, nullable)
- `fields` (map from string to Field, optional)
- `folderId` (string, optional, nullable)
- `helm` (string, optional, nullable) — Representation of the RNA Sequence in HELM syntax, including any chemical modifications.
- `id` (string, optional)
- `isCircular` (boolean, optional)
- `length` (integer, optional)
- `modifiedAt` (datetime, optional)
- `name` (string, optional)
- `parts` (list of RnaSequencePart, optional)
- `primers` (list of Primer, optional)
- `registrationOrigin` (RegistrationOrigin, optional, nullable)
- `registryId` (string, optional, nullable)
- `schema` (SchemaSummary, optional, nullable)
- `translations` (list of Translation, optional)
- `url` (string, optional) — The path of the web URL, omitting the tenant domain
- `webURL` (string, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### RnaAnnotation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)
- `type` (string, optional)

### ArchiveRecord

- `reason` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### CustomField

- `value` (string, optional)

### Field

- `value` (FieldValue, required, nullable) — For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])
- `displayValue` (string, optional, nullable)
- `isMulti` (boolean, optional)
- `textValue` (string, optional, nullable)
- `type` (enum, optional)
  - Allowed values: `dna_sequence_link`, `aa_sequence_link`, `custom_entity_link`, `entity_link`, `mixture_link`, `molecule_link`, `dropdown`, `part_link`, `translation_link`, `aa_part_link`, `base_molecule_link`, `blob_link`, `text`, `long_text`, `batch_link`, `storage_link`, `entry_link`, `assay_request_link`, `assay_result_link`, `assay_run_link`, `boolean`, `float`, `integer`, `datetime`, `date`, `json`

### RnaSequencePart

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `sequenceId` (string, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### Primer

- `bases` (string, optional)
- `bindPosition` (integer, optional)
- `color` (string, optional)
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `name` (string, optional)
- `oligoId` (string, optional)
- `overhangLength` (integer, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### RegistrationOrigin

- `originEntryId` (string, optional, nullable)
- `registeredAt` (datetime, optional)

### SchemaSummary

- `id` (string, optional)
- `name` (string, optional)

### Translation

- `color` (string, optional) — Hex color code used when displaying this feature in the UI.
- `customFields` (list of SequenceFeatureCustomField, optional)
- `name` (string, optional)
- `notes` (string, optional)
- `aminoAcids` (string, optional)
- `coerceStartCodonToMethionine` (boolean, optional, default: false) — Whether to override the translation of the start codon to Methionine. Has no effect when the start codon already translates to Methionine.
- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `geneticCode` (enum, optional, default: STANDARD) — The genetic code to use when translating the nucleotide sequence into amino acids.
  - Allowed values: `STANDARD`, `VERTEBRATE_MITOCHONDRIAL`, `YEAST_MITOCHONDRIAL`, `MOLD_PROTOZOAN_COELENTERATE_MITOCHONDRIAL_MYCOPLASMA_SPIROPLASMA`, `INVERTEBRATE_MITOCHONDRIAL`, `CILIATE_DASYCLADACEAN_HEXAMITA_NUCLEAR`, `ECHINODERM_FLATWORM_MITOCHONDRIAL`, `EUPLOTID_NUCLEAR`, `BACTERIAL_ARCHAEAL_PLANT_PLASTID`, `ALTERNATIVE_YEAST_NUCLEAR`, `ASCIDIAN_MITOCHONDRIAL`, `ALTERNATIVE_FLATWORM_MITOCHONDRIAL`, `CHLOROPHYCEAN_MITOCHONDRIAL`, `TREMATODE_MITOCHONDRIAL`, `SCENEDESMUS_OBLIQUUS_MITOCHONDRIAL`, `THRAUSTOCHYTRIUM_MITOCHONDRIAL`, `RHABDOPLEURIDAE_MITOCHONDRIAL`, `CANDIDATE_DIVISION_SR1_GRACILIBACTERIA`, `PACHYSOLEN_TANNOPHILUS_NUCLEAR`, `MESODINIUM_NUCLEAR`, `PERITRICH_NUCLEAR`, `CEPHALODISCIDAE_MITOCHONDRIAL_UAA_TYR`
- `regions` (list of TranslationRegionsItems, optional)
- `start` (integer, optional) — 0-based inclusive start index.
- `strand` (integer, optional)

### SequenceFeatureCustomField

A name and value pair associated with a sequence feature (annotation or translation). For genbank imports, these are the qualifiers associated with each feature.

- `name` (string, optional) — Name of the custom field
- `value` (string, optional) — Value of the custom field

### FieldValue

For single link fields, use the id of the item you want to link (eg. "seq_jdf8BV24"). For multi-link fields, use an array of ids of the items you want to link (eg. ["seq_jdf8BV24"])

### TranslationRegionsItems

- `end` (integer, optional) — 0-based exclusive end index. The end of the sequence is always represented as 0.
- `start` (integer, optional) — 0-based inclusive start index.

## Examples

**Response**

```json
{
  "nextToken": "string",
  "rnaSequences": [
    {
      "aliases": [
        "string"
      ],
      "alignmentIds": [
        "string"
      ],
      "annotations": [
        {
          "color": "#F58A5E",
          "customFields": [
            {
              "name": "string",
              "value": "string"
            }
          ],
          "name": "string",
          "notes": "Cong et al Science. 2013 Jan 3.",
          "end": 1,
          "start": 1,
          "strand": 1,
          "type": "string"
        }
      ],
      "apiURL": "https://benchling.com/api/v2/rna-sequences/seq_asZya4lk",
      "archiveRecord": {
        "reason": "Made in error"
      },
      "authors": [
        {
          "handle": "string",
          "id": "string",
          "name": "string"
        }
      ],
      "bases": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "creator": {
        "handle": "string",
        "id": "string",
        "name": "string"
      },
      "customFields": {
        "Legacy ID": {
          "value": "STR100"
        }
      },
      "customNotation": "string",
      "customNotationName": "string",
      "entityRegistryId": "string",
      "fields": {},
      "folderId": "string",
      "helm": "RNA1{r(A)p.r(C)[Ssp].r(U)p.r(U)p.r(U)p.r(U)p.r(U)p}$$$$V2.0",
      "id": "string",
      "isCircular": false,
      "length": 1,
      "modifiedAt": "2024-01-15T09:30:00Z",
      "name": "string",
      "parts": [
        {
          "end": 1,
          "sequenceId": "seq_VfVOART1",
          "start": 1,
          "strand": 1
        }
      ],
      "primers": [
        {
          "bases": "string",
          "bindPosition": 1,
          "color": "string",
          "end": 1,
          "name": "string",
          "oligoId": "string",
          "overhangLength": 1,
          "start": 1,
          "strand": 1
        }
      ],
      "registrationOrigin": {
        "originEntryId": "string",
        "registeredAt": "2024-01-15T09:30:00Z"
      },
      "registryId": "string",
      "schema": {
        "id": "string",
        "name": "string"
      },
      "translations": [
        {
          "color": "#F58A5E",
          "customFields": [
            {
              "name": "string",
              "value": "string"
            }
          ],
          "name": "string",
          "notes": "Cong et al Science. 2013 Jan 3.",
          "aminoAcids": "string",
          "coerceStartCodonToMethionine": false,
          "end": 1,
          "geneticCode": "STANDARD",
          "regions": [
            {
              "end": 1,
              "start": 1
            }
          ],
          "start": 1,
          "strand": 1
        }
      ],
      "url": "string",
      "webURL": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/rna-sequences"

querystring = {"archiveReason":"NOT_ARCHIVED","createdAt":"> 2022-03-01 AND < 2022-04-01","modifiedAt":"> 2022-03-01 AND < 2022-04-01"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/rna-sequences?archiveReason=NOT_ARCHIVED&createdAt=%3E+2022-03-01+AND+%3C+2022-04-01&modifiedAt=%3E+2022-03-01+AND+%3C+2022-04-01';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```